sorry i really have to say, the main narrator did an excellent job in explaining the things in a clear logical way. But the second narrator is just too confusing with his logic and it is very distracting to have him interrupting the logic flow of the main narrator. He should be removed.
@seekerjob12 сағат бұрын
sorry i really have to say, the main narrator did an excellent job in explaining the things in a clear logical way. But the second narrator is just too confusing with his logic and it is very distracting to have him interrupting the logic flow of the main narrator. He should be removed.
@seekerjob12 сағат бұрын
sorry i really have to say, the main narrator did an excellent job in explaining the things in a clear logical way. But the second narrator is just too confusing with his logic and it is very distracting to have him interrupting the logic flow of the main narrator. He should be removed.
@ed2023bc18 сағат бұрын
Slow down, it's not a race. Unless you don't understand what you are doing.
@ivmmos2 күн бұрын
Much appreciation from self-learner!👍
@saivol64623 күн бұрын
I understood the video is legit when musk interviewed mark and asked the exact same question.
@Dispnser5 күн бұрын
or just copy and paste the problem intro it and feed the code
@AmitNayekamit0065 күн бұрын
In `DFS` function 16:07 path.pop() never execute.
@ricardosilva34828 күн бұрын
Regarding Binary Search for the "Find Minimum in Rotated Sorted Array" problem, I'm a bit unsure if the boolean array approach works. For example, if we have the rotated array of [50, 60, 70, 80, 90, 10, 20, 30, 40], wouldn't the approach return 20 instead of 10?
@jaskiratsood164314 күн бұрын
Thank you so much.
@mcbotface14 күн бұрын
You don't have to figure out the second dimension for the last problem because, we can solve it with a 1D array. Here's the code. class Solution: def canPartition(self, nums: List[int]) -> bool: ts = sum(nums) n = len(nums) if ts%2: return False ss = ts//2 dp = [0]*(ss+1) for j in nums: for i in range(ss,-1,-1): if dp[i]==1 and i+j<=ss: dp[i+j]=1 if j==i: dp[i]=1 return True if dp[ss] else False
@Apollon60915 күн бұрын
what the fudge are you saying at 9:16
@manishmahajan609421 күн бұрын
wow ! this gave so much clarity
@sahiljain597922 күн бұрын
thanks a lot man. never thought of solving leetcode as templates .this is really helpful.
@PranavRPise26 күн бұрын
This is what I was looking for!
@nathsai165826 күн бұрын
Absolutely loved this video! Thanks a lot!
@Waruto26 күн бұрын
Hello, curious, how come the Vehicle had a method called parkInSpot(). Would that violate the Single Responsibility Principal from SOLID? Why is a vehicle class responsible for parking when it should be handled by something like a ParkingSpot class? Thanks for your insight!
@mobiledevelopmentmastery202427 күн бұрын
Could you share some discount for your subscription?
@TheGIQ12329 күн бұрын
For the TF question (binary search) you forgot to stipulate that the input only has false, then true (can’t do TFTF) Also, the vocal AI had a hiccup at the 9m mark lmao
@algo.monster28 күн бұрын
input has to be monotonic, which mens F(0) cannot go after T(1)
@Aman-xo4yxАй бұрын
Very helpful bro!
@rohan637Ай бұрын
Unable to buy your course from India. It say "Merchant is non-compliant with RBI guidelines for recurring payments and e-mandate". And yes I have international payments on on my card
@algo.monsterАй бұрын
Hey Rohan, thanks so much for letting us know. Which bank are you using? There is an issue with subscription in India since we are a foreign entity. Could you send us an email at [email protected] and we can look into it.
@EverAfterBreak2Ай бұрын
Do you guys ask input size constraints in interviews?
@farpurpleАй бұрын
I like how math is last resort
@Brxndz_Ай бұрын
This helped me solve Next Greater element without looking at your code, thanks!
@xEveNxThExOddsАй бұрын
one of the best videos on the topic i’ve seen, thank you
@pranavsharma7479Ай бұрын
For 10^8 inputs ? O(n) ?
@harshkant8217Ай бұрын
O(1) or O(logN)
@ml_serenityАй бұрын
Leetcode has nothing to do with the real-world programming in 99% of cases.
@rickyc466 күн бұрын
Wrong
@ml_serenity6 күн бұрын
@rickyc46 tell me more about it.
@aakashsrivastava55574 күн бұрын
Please wake up
@stanrobertsonАй бұрын
Thanks for the update, Anna! It is great that you are sharing your experience so that others can have hope.
@KushLemon5 күн бұрын
Wtf are you blabbering about?
@sangu3939Ай бұрын
😂😂
@nhbknhbАй бұрын
Damn, man, your dependency hierarchy is all over the place here...
@gmoney_swag1274Ай бұрын
Why is there an AI voice over?
@algo.monsterАй бұрын
It's my cloned voice, which makes syncing with the animation easier. This was one of our earlier videos, and we were still learning, so the quality isn't the best haha. Thanks for sticking with it anyway!
@gmoney_swag1274Ай бұрын
Couldn’t you also go from left to right? You could store the indexes in the stack and as soon as you add an element greater than the element at the top of the stack, you keep removing the top until it’s equal or greater to the new element, while updating their values (sorry for the bad explanation)
@IceGamerificationАй бұрын
where do i check this stuff out again?
@algo.monsterАй бұрын
algo.monster/
@aliadel1723Ай бұрын
Best Platform
@nadeem-cp9isАй бұрын
great video
@pravinprince3221Ай бұрын
Thank you so much sir for the wonderful video
@theblacktechexperienceАй бұрын
This is by far the best (and most painful😂) video on dp. I need to lie down
@algo.monsterАй бұрын
hahaha
@Salah-YTАй бұрын
thank u so much
@11csepratikshaargulewar71Ай бұрын
I kindly request that you should make videos avoiding moving backgrounds, as they can be distracting while concentrating . By the way, great explanation!
@algo.monsterАй бұрын
Noted thanks!
@valner47Ай бұрын
The best video on the whole channel. Great intro to the DP problems
@guinea_hornАй бұрын
Really good explanation. I'll agree with everyone else and say that the background is extremely distracting, and it actually makes the bitrate of the whole video go down, making the quality poor whether I select 144p or 1080p. I also feel like you didn't explain the algorithm before going through the problem with the heights of people. You started going through the example, but I didn't know precisely what it was you were doing or why you were making the decisions that you were making. I think it would be nice to have a plain explanation of the problem and how the algorithm solves it before going through the problem step by step.
@algo.monsterАй бұрын
This is a common question so want to make a special note here: - In an online coding assessment, you can obviously use this technique. - In an in-person interview, you should always ask for the constraints up front , as they are a part of the problem definition. The difference between n=10 and n=10,000 can entirely changes the problem. And requirement gathering is a key part of an engineer's skill set. Also make sure you know how to use the patterns: kzbin.info/www/bejne/iIq3YWt5lr6kbKM
@user-dz6zd9zk2fАй бұрын
That's a very useful way of solving problems in OAs and CP challenges but in an interview, you cannot rely on this trick. A lot of the times, the interviewer will not mention a specific constraint and would ask you to come up with as many solutions as you can. Starting from the bruteforce to as optimal as it gets. Therefore it is more important to learn problem patterns, you should only come to the constraint part when you're confused between two approaches.
@algo.monsterАй бұрын
You should always ask for the constraints upfront as it's part of the problem definition in an in-person interview. Having n=10 vs n=10000 completely changes the problem. It also demonstrate your communication skills since requirement gathering is a key skill for an engineer.
@kushiksahu1983Ай бұрын
But in some cases due to this we overthink to optimise the time complexity. I think this fails and make us overthink specially in case of O(N) ARMOTISED complexity
@pile_of_kyleАй бұрын
The point is that you can use the constraints to rule out runtimes that couldn't possibly be accepted by Leetcode. For example, if the input size is up to 1 million, you can instantly rule out any strategy that is as slow or slower than O(n^2), such as a 2D dynamic programming approach.
@roushanvАй бұрын
Absolutely, i just don't remember how many times i have been asked binary search like finding indices of the numbers repeated in a sorted array 😂
@AtulVinayakSАй бұрын
Pretty dumb video. Wasted 5 minutes
@AdpYTExplorerАй бұрын
Thank you for making this :) Keep it up
@ignasigurrea7535Ай бұрын
really great man thanks!!
@999finiАй бұрын
incredible insight, thank you
@algo.monsterАй бұрын
Glad it was helpful!
@FM1234Ай бұрын
This is the first thing you do in a problem. What if a problem is easy because of input size and you're optimizing nothing, that's just premature optimization. For example, if you have a dataset of 100 rows and you need to implement some algo which is naively N^2 but you spend useless time making it O(N) and more complex, in any case that's a bad idea. Leetcode says a problem is easy/med/hard and that just shifts your thinking.
@algo.monsterАй бұрын
Exactly! Engineering is all about gathering requirement and creating a solution for that requirement.